<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE mapper
	PUBLIC '-//mybatis.org//DTD Mapper 3.0//EN'
	'http://mybatis.org/dtd/mybatis-3-mapper.dtd'>
<mapper namespace='com.njcn.mapper.configuration.TerminalLogsMapper'>
	<resultMap type="TerminalLogs" id="getResultMap" autoMapping="true">
		<id column="LOGS_INDEX" property="logsIndex"/>
	</resultMap>
	<select id="selectLogs" resultMap="getResultMap">
		SELECT
			*
		FROM
			PQS_TERMINALLOGS
		WHERE
			dev_index IN
		<foreach collection="list" open="(" close=")" separator="," item="item">
			#{item}
		</foreach>
		ORDER BY UPDATETIME desc
	</select>
</mapper>
